Create a Professional's Credential
After creating a professional, you will then add any relevant credentials using the professional ID generated during the creation of the professional. Creating credentials is optional if the professional is being enrolled in an AdverseCheck package.
An important note, after creating the professional's credentials, you will need to enroll them in a monitoring product.
Authorization
apiKey clientId In: header
In: header
Path Parameters
Unique identifier for the professional.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/professionals/628fc8e2-ee7e-4779-9eb7-d980e7a92f3a/credentials" \ -H "Content-Type: application/json" \ -d '{ "number": "string", "code": "RN", "state": "CA" }'{
"status": 201,
"code": "created_non_monitored",
"detail": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}{
"status": 400,
"code": "missing_fields",
"detail": "string",
"errors": [
{
"detail": "string",
"pointer": "string",
"parameter": "string",
"header": "string",
"code": "string"
}
]
}{
"status": 400,
"code": "missing_fields",
"detail": "string",
"errors": [
{
"detail": "string",
"pointer": "string",
"parameter": "string",
"header": "string",
"code": "string"
}
]
}{
"status": 400,
"code": "missing_fields",
"detail": "string",
"errors": [
{
"detail": "string",
"pointer": "string",
"parameter": "string",
"header": "string",
"code": "string"
}
]
}{
"status": 400,
"code": "missing_fields",
"detail": "string",
"errors": [
{
"detail": "string",
"pointer": "string",
"parameter": "string",
"header": "string",
"code": "string"
}
]
}{
"status": 429,
"detail": "string",
"code": "f5d62b05-370e-48be-a755-8675ca146431"
}{
"status": 400,
"code": "missing_fields",
"detail": "string",
"errors": [
{
"detail": "string",
"pointer": "string",
"parameter": "string",
"header": "string",
"code": "string"
}
]
}{
"status": 500,
"detail": "string",
"code": "unexpected_error"
}Delete a Professional DELETE
Delete a professional using `professionalId` as the unique identifier. Warning: This operation is irreversible. This action should be taken only if the professional is no longer active in your system and will not be re-enrolled.
Get Professional Credentials GET
Retrieve the credentials associated with a professional in the Propelus system. Get the professional's credentials using `professionalId` as the unique identifier.